<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Controls from "./_ex_3_controls.svelte";
  import Scatterplot from "./_ex_3_scatterplot.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/gapminder.json");
    
  });
  
let selectedContinent = 'all';
let selectYear = 1800; 
let filter_continent;
//
function extract_data (data, selectedContinent, selectYear) { 
  
  const filter_year = data.filter(d => d.year == selectYear);
  if (selectedContinent == 'all') {
    filter_continent = filter_year[0]['countries'];
  } else {
    filter_continent = filter_year[0]['countries'].filter(d => d.continent == selectedContinent);
  };
 return filter_continent
}

</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <div >
    <Scatterplot data={extract_data(data, selectedContinent, selectYear)} />
    <Controls bind:selectYear= {selectYear} bind:selectedContinent={selectedContinent} {data} />
  </div>
{/if}
